﻿using System.ComponentModel.DataAnnotations;
using System.Diagnostics.CodeAnalysis;

namespace HttpClientStudy.WebApp.Models
{
    /// <summary>
    /// 获取Token 请求类
    /// </summary>
    public class LoginAccount
    {
        /// <summary>
        /// 账号
        /// </summary>
        [Required]
        public required string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [Required]
        public required string Password { get; set; }
    }
}
